Package com.independentsoft.office.drawing

# Enum Class PresetColorValue

java.lang.Object
java.lang.Enum<PresetColorValue>
com.independentsoft.office.drawing.PresetColorValue

All Implemented Interfaces:
  `Serializable`, `Comparable<PresetColorValue>`, `Constable`

public enum PresetColorValue extends Enum<PresetColorValue>
The Enum PresetColorValue.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ALICE_BLUE`
  `ANTIQUE_WHITE`
  `AQUA`
  `AQUAMARINE`
  `AZURE`
  `BEIGE`
  `BISQUE`
  `BLACK`
  `BLANCHED_ALMOND`
  `BLUE`
  `BLUE_VIOLET`
  `BROWN`
  `BURLY_WOOD`
  `CADET_BLUE`
  `CHARTREUSE`
  `CHOCOLATE`
  `CORAL`
  `CORNFLOWER_BLUE`
  `CORNSILK`
  `CRIMSON`
  `CYAN`
  `DARK_BLUE`
  `DARK_CYAN`
  `DARK_GOLDENROD`
  `DARK_GRAY`
  `DARK_GREEN`
  `DARK_KHAKI`
  `DARK_MAGENTA`
  `DARK_OLIVE_GREEN`
  `DARK_ORANGE`
  `DARK_ORCHID`
  `DARK_RED`
  `DARK_SALMON`
  `DARK_SEA_GREEN`
  `DARK_SLATE_BLUE`
  `DARK_SLATE_GRAY`
  `DARK_TURQUOISE`
  `DARK_VIOLET`
  `DEEP_PINK`
  `DEEP_SKY_BLUE`
  `DIM_GRAY`
  `DODGER_BLUE`
  `FIREBRICK`
  `FLORAL_WHITE`
  `FOREST_GREEN`
  `FUCHSIA`
  `GAINSBORO`
  `GHOST_WHITE`
  `GOLD`
  `GOLDENROD`
  `GRAY`
  `GREEN`
  `GREEN_YELLOW`
  `HONEYDEW`
  `HOT_PINK`
  `INDIAN_RED`
  `INDIGO`
  `IVORY`
  `KHAKI`
  `LAVENDER`
  `LAVENDER_BLUSH`
  `LAWN_GREEN`
  `LEMON_CHIFFON`
  `LIGHT_BLUE`
  `LIGHT_CORAL`
  `LIGHT_CYAN`
  `LIGHT_GOLDENROD_YELLOW`
  `LIGHT_GRAY`
  `LIGHT_GREEN`
  `LIGHT_PINK`
  `LIGHT_SALMON`
  `LIGHT_SEA_GREEN`
  `LIGHT_SKY_BLUE`
  `LIGHT_SLATE_GRAY`
  `LIGHT_STEEL_BLUE`
  `LIGHT_YELLOW`
  `LIME`
  `LIME_GREEN`
  `LINEN`
  `MAGENTA`
  `MAROON`
  `MEDIUM_AQUAMARINE`
  `MEDIUM_BLUE`
  `MEDIUM_ORCHID`
  `MEDIUM_PURPLE`
  `MEDIUM_SEA_GREEN`
  `MEDIUM_SLATE_BLUE`
  `MEDIUM_SPRING_GREEN`
  `MEDIUM_TURQUOISE`
  `MEDIUM_VIOLET_RED`
  `MIDNIGHT_BLUE`
  `MINT_CREAM`
  `MISTY_ROSE`
  `MOCCASIN`
  `NAVAJO_WHITE`
  `NAVY`
  `NONE`
  `OLD_LACE`
  `OLIVE`
  `OLIVE_DRAB`
  `ORANGE`
  `ORANGE_RED`
  `ORCHID`
  `PALE_GOLDENROD`
  `PALE_GREEN`
  `PALE_TURQUOISE`
  `PALE_VIOLET_RED`
  `PAPAYA_WHIP`
  `PEACH_PUFF`
  `PERU`
  `PINK`
  `PLUM`
  `POWDER_BLUE`
  `PURPLE`
  `RED`
  `ROSY_BROWN`
  `ROYAL_BLUE`
  `SADDLE_BROWN`
  `SALMON`
  `SANDY_BROWN`
  `SEA_GREEN`
  `SEA_SHELL`
  `SIENNA`
  `SILVER`
  `SKY_BLUE`
  `SLATE_BLUE`
  `SLATE_GRAY`
  `SNOW`
  `SPRING_GREEN`
  `STEEL_BLUE`
  `TAN`
  `TEAL`
  `THISTLE`
  `TOMATO`
  `TURQUOISE`
  `VIOLET`
  `WHEAT`
  `WHITE`
  `WHITE_SMOKE`
  `YELLOW`
  `YELLOW_GREEN`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static PresetColorValue`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static PresetColorValue[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ALICE_BLUE

    public static final PresetColorValue ALICE_BLUE

  - ### ANTIQUE_WHITE

    public static final PresetColorValue ANTIQUE_WHITE

  - ### AQUA

    public static final PresetColorValue AQUA

  - ### AQUAMARINE

    public static final PresetColorValue AQUAMARINE

  - ### AZURE

    public static final PresetColorValue AZURE

  - ### BEIGE

    public static final PresetColorValue BEIGE

  - ### BISQUE

    public static final PresetColorValue BISQUE

  - ### BLACK

    public static final PresetColorValue BLACK

  - ### BLANCHED_ALMOND

    public static final PresetColorValue BLANCHED_ALMOND

  - ### BLUE

    public static final PresetColorValue BLUE

  - ### BLUE_VIOLET

    public static final PresetColorValue BLUE_VIOLET

  - ### BROWN

    public static final PresetColorValue BROWN

  - ### BURLY_WOOD

    public static final PresetColorValue BURLY_WOOD

  - ### CADET_BLUE

    public static final PresetColorValue CADET_BLUE

  - ### CHARTREUSE

    public static final PresetColorValue CHARTREUSE

  - ### CHOCOLATE

    public static final PresetColorValue CHOCOLATE

  - ### CORAL

    public static final PresetColorValue CORAL

  - ### CORNFLOWER_BLUE

    public static final PresetColorValue CORNFLOWER_BLUE

  - ### CORNSILK

    public static final PresetColorValue CORNSILK

  - ### CRIMSON

    public static final PresetColorValue CRIMSON

  - ### CYAN

    public static final PresetColorValue CYAN

  - ### DEEP_PINK

    public static final PresetColorValue DEEP_PINK

  - ### DEEP_SKY_BLUE

    public static final PresetColorValue DEEP_SKY_BLUE

  - ### DIM_GRAY

    public static final PresetColorValue DIM_GRAY

  - ### DARK_BLUE

    public static final PresetColorValue DARK_BLUE

  - ### DARK_CYAN

    public static final PresetColorValue DARK_CYAN

  - ### DARK_GOLDENROD

    public static final PresetColorValue DARK_GOLDENROD

  - ### DARK_GRAY

    public static final PresetColorValue DARK_GRAY

  - ### DARK_GREEN

    public static final PresetColorValue DARK_GREEN

  - ### DARK_KHAKI

    public static final PresetColorValue DARK_KHAKI

  - ### DARK_MAGENTA

    public static final PresetColorValue DARK_MAGENTA

  - ### DARK_OLIVE_GREEN

    public static final PresetColorValue DARK_OLIVE_GREEN

  - ### DARK_ORANGE

    public static final PresetColorValue DARK_ORANGE

  - ### DARK_ORCHID

    public static final PresetColorValue DARK_ORCHID

  - ### DARK_RED

    public static final PresetColorValue DARK_RED

  - ### DARK_SALMON

    public static final PresetColorValue DARK_SALMON

  - ### DARK_SEA_GREEN

    public static final PresetColorValue DARK_SEA_GREEN

  - ### DARK_SLATE_BLUE

    public static final PresetColorValue DARK_SLATE_BLUE

  - ### DARK_SLATE_GRAY

    public static final PresetColorValue DARK_SLATE_GRAY

  - ### DARK_TURQUOISE

    public static final PresetColorValue DARK_TURQUOISE

  - ### DARK_VIOLET

    public static final PresetColorValue DARK_VIOLET

  - ### DODGER_BLUE

    public static final PresetColorValue DODGER_BLUE

  - ### FIREBRICK

    public static final PresetColorValue FIREBRICK

  - ### FLORAL_WHITE

    public static final PresetColorValue FLORAL_WHITE

  - ### FOREST_GREEN

    public static final PresetColorValue FOREST_GREEN

  - ### FUCHSIA

    public static final PresetColorValue FUCHSIA

  - ### GAINSBORO

    public static final PresetColorValue GAINSBORO

  - ### GHOST_WHITE

    public static final PresetColorValue GHOST_WHITE

  - ### GOLD

    public static final PresetColorValue GOLD

  - ### GOLDENROD

    public static final PresetColorValue GOLDENROD

  - ### GRAY

    public static final PresetColorValue GRAY

  - ### GREEN

    public static final PresetColorValue GREEN

  - ### GREEN_YELLOW

    public static final PresetColorValue GREEN_YELLOW

  - ### HONEYDEW

    public static final PresetColorValue HONEYDEW

  - ### HOT_PINK

    public static final PresetColorValue HOT_PINK

  - ### INDIAN_RED

    public static final PresetColorValue INDIAN_RED

  - ### INDIGO

    public static final PresetColorValue INDIGO

  - ### IVORY

    public static final PresetColorValue IVORY

  - ### KHAKI

    public static final PresetColorValue KHAKI

  - ### LAVENDER

    public static final PresetColorValue LAVENDER

  - ### LAVENDER_BLUSH

    public static final PresetColorValue LAVENDER_BLUSH

  - ### LAWN_GREEN

    public static final PresetColorValue LAWN_GREEN

  - ### LEMON_CHIFFON

    public static final PresetColorValue LEMON_CHIFFON

  - ### LIME

    public static final PresetColorValue LIME

  - ### LIME_GREEN

    public static final PresetColorValue LIME_GREEN

  - ### LINEN

    public static final PresetColorValue LINEN

  - ### LIGHT_BLUE

    public static final PresetColorValue LIGHT_BLUE

  - ### LIGHT_CORAL

    public static final PresetColorValue LIGHT_CORAL

  - ### LIGHT_CYAN

    public static final PresetColorValue LIGHT_CYAN

  - ### LIGHT_GOLDENROD_YELLOW

    public static final PresetColorValue LIGHT_GOLDENROD_YELLOW

  - ### LIGHT_GRAY

    public static final PresetColorValue LIGHT_GRAY

  - ### LIGHT_GREEN

    public static final PresetColorValue LIGHT_GREEN

  - ### LIGHT_PINK

    public static final PresetColorValue LIGHT_PINK

  - ### LIGHT_SALMON

    public static final PresetColorValue LIGHT_SALMON

  - ### LIGHT_SEA_GREEN

    public static final PresetColorValue LIGHT_SEA_GREEN

  - ### LIGHT_SKY_BLUE

    public static final PresetColorValue LIGHT_SKY_BLUE

  - ### LIGHT_SLATE_GRAY

    public static final PresetColorValue LIGHT_SLATE_GRAY

  - ### LIGHT_STEEL_BLUE

    public static final PresetColorValue LIGHT_STEEL_BLUE

  - ### LIGHT_YELLOW

    public static final PresetColorValue LIGHT_YELLOW

  - ### MAGENTA

    public static final PresetColorValue MAGENTA

  - ### MAROON

    public static final PresetColorValue MAROON

  - ### MEDIUM_AQUAMARINE

    public static final PresetColorValue MEDIUM_AQUAMARINE

  - ### MEDIUM_BLUE

    public static final PresetColorValue MEDIUM_BLUE

  - ### MEDIUM_ORCHID

    public static final PresetColorValue MEDIUM_ORCHID

  - ### MEDIUM_PURPLE

    public static final PresetColorValue MEDIUM_PURPLE

  - ### MEDIUM_SEA_GREEN

    public static final PresetColorValue MEDIUM_SEA_GREEN

  - ### MEDIUM_SLATE_BLUE

    public static final PresetColorValue MEDIUM_SLATE_BLUE

  - ### MEDIUM_SPRING_GREEN

    public static final PresetColorValue MEDIUM_SPRING_GREEN

  - ### MEDIUM_TURQUOISE

    public static final PresetColorValue MEDIUM_TURQUOISE

  - ### MEDIUM_VIOLET_RED

    public static final PresetColorValue MEDIUM_VIOLET_RED

  - ### MIDNIGHT_BLUE

    public static final PresetColorValue MIDNIGHT_BLUE

  - ### MINT_CREAM

    public static final PresetColorValue MINT_CREAM

  - ### MISTY_ROSE

    public static final PresetColorValue MISTY_ROSE

  - ### MOCCASIN

    public static final PresetColorValue MOCCASIN

  - ### NAVAJO_WHITE

    public static final PresetColorValue NAVAJO_WHITE

  - ### NAVY

    public static final PresetColorValue NAVY

  - ### OLD_LACE

    public static final PresetColorValue OLD_LACE

  - ### OLIVE

    public static final PresetColorValue OLIVE

  - ### OLIVE_DRAB

    public static final PresetColorValue OLIVE_DRAB

  - ### ORANGE

    public static final PresetColorValue ORANGE

  - ### ORANGE_RED

    public static final PresetColorValue ORANGE_RED

  - ### ORCHID

    public static final PresetColorValue ORCHID

  - ### PALE_GOLDENROD

    public static final PresetColorValue PALE_GOLDENROD

  - ### PALE_GREEN

    public static final PresetColorValue PALE_GREEN

  - ### PALE_TURQUOISE

    public static final PresetColorValue PALE_TURQUOISE

  - ### PALE_VIOLET_RED

    public static final PresetColorValue PALE_VIOLET_RED

  - ### PAPAYA_WHIP

    public static final PresetColorValue PAPAYA_WHIP

  - ### PEACH_PUFF

    public static final PresetColorValue PEACH_PUFF

  - ### PERU

    public static final PresetColorValue PERU

  - ### PINK

    public static final PresetColorValue PINK

  - ### PLUM

    public static final PresetColorValue PLUM

  - ### POWDER_BLUE

    public static final PresetColorValue POWDER_BLUE

  - ### PURPLE

    public static final PresetColorValue PURPLE

  - ### RED

    public static final PresetColorValue RED

  - ### ROSY_BROWN

    public static final PresetColorValue ROSY_BROWN

  - ### ROYAL_BLUE

    public static final PresetColorValue ROYAL_BLUE

  - ### SADDLE_BROWN

    public static final PresetColorValue SADDLE_BROWN

  - ### SALMON

    public static final PresetColorValue SALMON

  - ### SANDY_BROWN

    public static final PresetColorValue SANDY_BROWN

  - ### SEA_GREEN

    public static final PresetColorValue SEA_GREEN

  - ### SEA_SHELL

    public static final PresetColorValue SEA_SHELL

  - ### SIENNA

    public static final PresetColorValue SIENNA

  - ### SILVER

    public static final PresetColorValue SILVER

  - ### SKY_BLUE

    public static final PresetColorValue SKY_BLUE

  - ### SLATE_BLUE

    public static final PresetColorValue SLATE_BLUE

  - ### SLATE_GRAY

    public static final PresetColorValue SLATE_GRAY

  - ### SNOW

    public static final PresetColorValue SNOW

  - ### SPRING_GREEN

    public static final PresetColorValue SPRING_GREEN

  - ### STEEL_BLUE

    public static final PresetColorValue STEEL_BLUE

  - ### TAN

    public static final PresetColorValue TAN

  - ### TEAL

    public static final PresetColorValue TEAL

  - ### THISTLE

    public static final PresetColorValue THISTLE

  - ### TOMATO

    public static final PresetColorValue TOMATO

  - ### TURQUOISE

    public static final PresetColorValue TURQUOISE

  - ### VIOLET

    public static final PresetColorValue VIOLET

  - ### WHEAT

    public static final PresetColorValue WHEAT

  - ### WHITE

    public static final PresetColorValue WHITE

  - ### WHITE_SMOKE

    public static final PresetColorValue WHITE_SMOKE

  - ### YELLOW

    public static final PresetColorValue YELLOW

  - ### YELLOW_GREEN

    public static final PresetColorValue YELLOW_GREEN

  - ### NONE

    public static final PresetColorValue NONE

- ## Method Details

  - ### values

    public static PresetColorValue[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static PresetColorValue valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null